package com.sambath.sbc.screen.main.cflive.Betting

import com.sambath.sbc.remote.BettingData
import com.sambath.sbc.remote.BettingTypeData
import com.sambath.sbc.remote.BtnData
import com.sambath.sbc.remote.WeightData

data class CfBetViewState(
    val initial: Boolean = false,
    val isProgress: Boolean = false,
    val error: String? = null,
    var isSuccess: Boolean = false,
    val data: BettingData? = null
)

data class BettingTypeMasterState(
    val initial: Boolean = false,
    val isProgress: Boolean = false,
    val error: String? = null,
    var isSuccess: Boolean = false,
    val bettingTypeData: List<BettingTypeData>? = null
)

data class BtnMasterState(
    val initial: Boolean = false,
    val isProgress: Boolean = false,
    val error: String? = null,
    var isSuccess: Boolean = false,
    val btnData: List<BtnData>? = null
)

data class WeightViewState(
    val isPro: Boolean = false,
    val error: String? = null,
    val weightData: WeightData? = null,
    val isSuccess: Boolean = false,
)